aboutsummaryrefslogtreecommitdiff
path: root/src/test/zero_length_keys.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/zero_length_keys.sh')
-rwxr-xr-xsrc/test/zero_length_keys.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/src/test/zero_length_keys.sh b/src/test/zero_length_keys.sh
index 7c99564f1a..0dd67c1780 100755
--- a/src/test/zero_length_keys.sh
+++ b/src/test/zero_length_keys.sh
@@ -30,6 +30,10 @@ if [ -z "$DATA_DIR" ]; then
echo "Failure: mktemp invocation returned empty string"
exit 255
fi
+if [ -d "$DATA_DIR" ]; then
+ echo "Failure: mktemp invocation result doesn't point to directory"
+ exit 255
+fi
trap "rm -rf '$DATA_DIR'" 0
# DisableNetwork means that the ORPort won't actually be opened.